<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Document</title>
    </head>
    <body>
        <script>
        /*Прошу прощения что пишу на английском. Просто живу в италии и клавиатура без кирилицы */
        
        
        // zadanie 1
        var a = prompt ("Enter the number");
        var b = prompt ("Enter other number");
        var c = parseInt(a) + parseInt(b);
        var result;
        c < 4 ? result = 'Not enough' : result = 'a lot';
        document.write(result + "<br/>");

        //zadanie 2
        var login = prompt ("your login");
        message = login == "Vasiliy" ? "Hi" : login == "Direktor" ? "Hello" : login == "" ? "No login" : "";
        document.write(message + "<br/>");

        //zadanie 3
        var x = 6;
        var y = 57;
        var z = 0;
        for (w = x; w <= y; w++) {
        z = z + w;
        if (w % 2 != 0) {
        document.write(w + '</br>');
        }
        }
        document.write("<p>" + z + "<br/>");
        
        //zadanie 4
        //4.1
        
        var a = " ";
        var b = "*";
        for (var x = 1; x < 20; x++ ) {
            for (var y = 0; y < 80 ; y++ ) {
                document.write(b + a);
            };
            document.write("<br>");
        };
        //4.2
         stroki = 40;
        x = "";
        for (var n = 1; n < stroki; n++) {
            for (var space = 1; space <= stroki - n; space++) {
                x += " ";
            }
            for (var y = 1; y <= 2 * n - 1; y++) {
                x += "*";
            }
            x += "<br/>"
        }
        document.write (x);
    
        // 4.3
         for (n = 0; n < 19; n++) {
             for (m = 0; m < 1 + n; m++) {
                 document.write("***");
             }
             document.write("</br>");
         }
         for (n = 0; n < 20; n++) {
             for (m = 0; m < 20 - n; m++) {
                 document.write("***");
             }
             document.write("</br>");
         }
         document.write("*");
 
         document.write("<p>");
 
        //4.4
 
 
         var Star = "*";
         var Space = "&nbsp;&nbsp;";
         for (i = 0; i < 20; i++) {
             for (j = 0; j < 19 - i; j++) {
                 document.write(Space);
             }
             for (k = 0; k < 1 + i; k++) {
                 document.write(Star);
             }
             for (l = 0; l < i; l++) {
                 document.write(Star);
             }
             document.write("</br>");
         }
         for (i = 0; i < 20; i++) {
             for (j = 0; j < i + 1; j++) {
                 document.write(Space);
             }
             for (k = 0; k < 19 - i; k++) {
                 document.write(Star);
             }
             for (l = 0; l < 18 - i; l++) {
                 document.write(Star);
             }
             document.write("</br>");
         }
   

        
        

    


    </script>
    </body>
</html>